Bug 6336 - [UPDATE REQUEST] highlight-3.18 to 3.24
: [UPDATE REQUEST] highlight-3.18 to 3.24
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-17 15:33 MSK by symbianflo
Modified: 2015-12-07 22:27 MSK (History)
2 users (show)

See Also:
RPM Package: highlight-3.18-1.src.rpm
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description symbianflo 2015-11-17 15:33:19 MSK
Description of problem:
Update request for highlight, ( years old version)

Version-Release number of selected component (if applicable):
highlight-3.18 to 3.24

Fixings and features since 3.18:
=================================
-fixed TeX output for cweb documents (patch by Ingo Krabbe)
-fixed string interpolation in bat.lang
-added reduce_filesize.lua, outhtml_add_shadow.lua, 
  outhtml_add_background_svg.lua, outhtml_add_background_stripes.lua, 
  outhtml_add_line.lua plug-ins 
-added TCL extension in examples/tcl
-added kotlin.lang, nginx.lang and julia.lang
-updated php.lang to include version 7 keywords 
-updated ceylon.lang to include version 1.2 keywords 
-updated scripts in examples directory
-CLI: style-infile option marked as deprecated
-GUI: shortened paths in file input lists
-added rs.lang
-added conf.lang (thanks to Victor Ananjevsky)
-added some extensions in filetypes.conf (patch by Victor Ananjevsky)
-fixed Matlab definition and style (thanks to Justin Pearson)
-CLI: fixed --list-scripts with unknown argument (thanks to Jens Schleusener)
-updated astyle code to release 2.05.1
-fixed shebang recognition (thanks to Victor Ananjevsky)
-GUI: added option to define line numbering start
-added support for LESS, SASS and Stylus CSS processors (suggested by Marcel Bischoff)
-added support for Lua 5.3, removed LUA52 makefile option
-fixed heredoc matching in perl.lang (thanks to cornucopia)
-fixed Haskell lang (thanks to Daan Michiels)
-fixed RNC lang (thanks to Daan Michiels)
-fixed regex pattern in js.lang
-updated astyle code to release 2.05
-added astyle reformatting style vtk



Important changes/fixings:
- define line numbering start in GUI
- fixed TeX output
- added support for Lua 5.3
- fixed --list-scripts with unknown argument CLI
- php7 support
- fixed shebang recognition
Comment 1 symbianflo 2015-11-17 15:35:31 MSK
Advisory:
Update highlight-3.18 to 3.24 
Build Lists:
https://abf.rosalinux.ru/build_lists/2598786
https://abf.rosalinux.ru/build_lists/2598783
Comment 2 Vladimir Potapov 2015-12-03 12:50:12 MSK
The update is sent to expanded testing
**************************************
Comment 3 Vladimir Potapov 2015-12-07 18:13:03 MSK
highlight-3.24-1
https://abf.rosalinux.ru/build_lists/2598786
https://abf.rosalinux.ru/build_lists/2598783
************************** Advisory ***************************
Update highlight-3.18 to 3.24 
***************************************************************
QA Verified
Comment 4 symbianflo 2015-12-07 22:27:06 MSK
(In reply to comment #3)
> highlight-3.24-1
> https://abf.rosalinux.ru/build_lists/2598786
> https://abf.rosalinux.ru/build_lists/2598783
> ************************** Advisory ***************************
> Update highlight-3.18 to 3.24 
> ***************************************************************
> QA Verified

Tank you.